Fix rubocop warnings
[rails.git] / .travis.yml
index 013d6f66e3ece7a9d6009deed373785d60b19bc6..ad8f7e599ea42dff4504becf9e0aaa15625a942d 100644 (file)
@@ -1,18 +1,20 @@
 sudo: false
 language: ruby
 rvm:
 sudo: false
 language: ruby
 rvm:
-  - 1.9.3
+  - 2.3.1
 cache: bundler
 addons:
   postgresql: 9.1
 cache: bundler
 addons:
   postgresql: 9.1
-  apt_packages:
-    - postgresql-server-dev-9.1
+  apt:
+    packages:
+      - postgresql-server-dev-9.1
 services:
   - memcached
 env:
   global:
     - OSM_MEMCACHE_SERVERS="127.0.0.1"
 before_script:
 services:
   - memcached
 env:
   global:
     - OSM_MEMCACHE_SERVERS="127.0.0.1"
 before_script:
+  - cp config/example.application.yml config/application.yml
   - psql -U postgres -c "CREATE DATABASE openstreetmap"
   - psql -U postgres -c "CREATE EXTENSION btree_gist" openstreetmap
   - make -C db/functions libpgosm.so
   - psql -U postgres -c "CREATE DATABASE openstreetmap"
   - psql -U postgres -c "CREATE EXTENSION btree_gist" openstreetmap
   - make -C db/functions libpgosm.so
@@ -24,4 +26,4 @@ before_script:
 script:
   - bundle exec rubocop -f fuubar
   - bundle exec rake jshint
 script:
   - bundle exec rubocop -f fuubar
   - bundle exec rake jshint
-  - bundle exec rake test
+  - bundle exec rake test:db